ninja_required_version = 1.3
cxx = c++
nvcc = /usr/local/cuda-11.7/bin/nvcc

cflags = -pthread -B /home/user/ana/anaconda3/envs/pytorch3d/compiler_compat -Wno-unused-result -Wsign-compare -DNDEBUG -O2 -Wall -fPIC -O2 -isystem /home/user/ana/anaconda3/envs/pytorch3d/include -I/home/user/ana/anaconda3/envs/pytorch3d/include -fPIC -O2 -isystem /home/user/ana/anaconda3/envs/pytorch3d/include -fPIC -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include/torch/csrc/api/include -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include/TH -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include/THC -I/usr/local/cuda-11.7/include -I/home/user/ana/anaconda3/envs/pytorch3d/include/python3.9 -c
post_cflags = -DTORCH_API_INCLUDE_EXTENSION_H '-DPYBIND11_COMPILER_TYPE="_gcc"' '-DPYBIND11_STDLIB="_libstdcpp"' '-DPYBIND11_BUILD_ABI="_cxxabi1011"' -DTORCH_EXTENSION_NAME=emd_cuda -D_GLIBCXX_USE_CXX11_ABI=0 -std=c++14
cuda_cflags = -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include/torch/csrc/api/include -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include/TH -I/home/user/ana/anaconda3/envs/pytorch3d/lib/python3.9/site-packages/torch/include/THC -I/usr/local/cuda-11.7/include -I/home/user/ana/anaconda3/envs/pytorch3d/include/python3.9 -c
cuda_post_cflags = -D__CUDA_NO_HALF_OPERATORS__ -D__CUDA_NO_HALF_CONVERSIONS__ -D__CUDA_NO_BFLOAT16_CONVERSIONS__ -D__CUDA_NO_HALF2_OPERATORS__ --expt-relaxed-constexpr --compiler-options ''"'"'-fPIC'"'"'' -DTORCH_API_INCLUDE_EXTENSION_H '-DPYBIND11_COMPILER_TYPE="_gcc"' '-DPYBIND11_STDLIB="_libstdcpp"' '-DPYBIND11_BUILD_ABI="_cxxabi1011"' -DTORCH_EXTENSION_NAME=emd_cuda -D_GLIBCXX_USE_CXX11_ABI=0 -gencode=arch=compute_86,code=compute_86 -gencode=arch=compute_86,code=sm_86 -std=c++14
cuda_dlink_post_cflags = 
ldflags = 

rule compile
  command = $cxx -MMD -MF $out.d $cflags -c $in -o $out $post_cflags
  depfile = $out.d
  deps = gcc

rule cuda_compile
  depfile = $out.d
  deps = gcc
  command = $nvcc  $cuda_cflags -c $in -o $out $cuda_post_cflags





build /home/user/桌面/dwl/research/PCN-Pytorch/extensions/earth_movers_distance/build/temp.linux-x86_64-cpython-39/emd.o: compile /home/user/桌面/dwl/research/PCN-Pytorch/extensions/earth_movers_distance/emd.cpp
build /home/user/桌面/dwl/research/PCN-Pytorch/extensions/earth_movers_distance/build/temp.linux-x86_64-cpython-39/emd_kernel.o: cuda_compile /home/user/桌面/dwl/research/PCN-Pytorch/extensions/earth_movers_distance/emd_kernel.cu







